org.jfree.chart.entity

## Class TitleEntity

- java.lang.Object
- - org.jfree.chart.entity.ChartEntity
  - - org.jfree.chart.entity.TitleEntity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.jfree.util.PublicCloneable

    public class TitleEntity
    extends ChartEntity

A class that captures information about a Title of a chart.

Since:
  1.0.13
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TitleEntity(java.awt.Shape area, Title title)` Creates a new chart entity.
`TitleEntity(java.awt.Shape area, Title title, java.lang.String toolTipText)` Creates a new chart entity.
`TitleEntity(java.awt.Shape area, Title title, java.lang.String toolTipText, java.lang.String urlText)` Creates a new entity.

### Method Summary

Methods
`java.lang.Object` `clone()` Returns a clone of the entity.
`boolean` `equals(java.lang.Object obj)` Tests the entity for equality with an arbitrary object.
`Title` `getTitle()` Returns the title that occupies the entity area.
`int` `hashCode()` Returns a hash code for this instance.
`java.lang.String` `toString()` Returns a string representation of the chart entity, useful for debugging.

### Methods inherited from class org.jfree.chart.entity.ChartEntity

`getArea, getImageMapAreaTag, getShapeCoords, getShapeType, getToolTipText, getURLText, setArea, setToolTipText, setURLText`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TitleEntity

    public TitleEntity(java.awt.Shape area,
               Title title)

Creates a new chart entity.

Parameters:
  `area` - the area (`null` not permitted).
  `title` - the title (`null` not permitted).

#### TitleEntity

    public TitleEntity(java.awt.Shape area,
               Title title,
               java.lang.String toolTipText)

Creates a new chart entity.

Parameters:
  `area` - the area (`null` not permitted).
  `title` - the title (`null` not permitted).
  `toolTipText` - the tool tip text (`null` permitted).

#### TitleEntity

    public TitleEntity(java.awt.Shape area,
               Title title,
               java.lang.String toolTipText,
               java.lang.String urlText)

Creates a new entity.

Parameters:
  `area` - the area (`null` not permitted).
  `title` - the title (`null` not permitted).
  `toolTipText` - the tool tip text (`null` permitted).
  `urlText` - the URL text for HTML image maps (`null` permitted).

### Method Detail

#### getTitle

    public Title getTitle()

Returns the title that occupies the entity area.

Returns:
  The title (never `null`).

#### toString

    public java.lang.String toString()

Returns a string representation of the chart entity, useful for debugging.

Overrides:
  `toString` in class `ChartEntity`
Returns:
  A string.

#### equals

    public boolean equals(java.lang.Object obj)

Tests the entity for equality with an arbitrary object.

Overrides:
  `equals` in class `ChartEntity`
Parameters:
  `obj` - the object to test against (`null` permitted).
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code for this instance.

Overrides:
  `hashCode` in class `ChartEntity`
Returns:
  A hash code.

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Returns a clone of the entity.

Specified by:
  `clone` in interface `org.jfree.util.PublicCloneable`
Overrides:
  `clone` in class `ChartEntity`
Returns:
  A clone.
Throws:
  `java.lang.CloneNotSupportedException` - if there is a problem cloning the entity.